mt-check.cgiはシステムの構成を確認し、Movable Typeを実行するために必要なコンポーネントがそろっていることを確認するためのスクリプトです。

システム情報

確認中: 必須モジュール

CGI::Cookie

サーバーに CGI::Cookie がインストールされています(バージョン 1.20)。

File::Spec (version >= 0.8)

サーバーに File::Spec がインストールされています(バージョン 3.3)。

Image::Size

サーバーに Image::Size がインストールされています(バージョン 2.93)。

CGI

サーバーに CGI がインストールされています(バージョン 2.80)。

確認中: データストレージモジュール

これらのモジュールは、Movable Type がデータを保存するために必要なモジュールです。DBIと、1つ以上のデータベース用のモジュールをインストールする必要があります。

DBI (version >= 1.21)

サーバーに DBI がインストールされています(バージョン 1.609)。

DBD::mysql

サーバーに DBD::mysql がインストールされています(バージョン 4.013)。

DBD::SQLite

サーバーに DBD::SQLite がインストールされています(バージョン 1.27)。

DBD::Pg (version >= 1.32)

サーバーに DBD::Pg がインストールされています(バージョン 2.15.1)。

DBD::SQLite2

サーバーに DBD::SQLite2 がインストールされています(バージョン 0.33)。

確認中: オプションモジュール

これらのモジュールのインストールは任意です。お使いのサーバーにこれらのモジュールがインストールされていない場合でも、Movable Type の基本機能は動作します。これらのモジュールの機能が必要となった場合にはインストールを行ってください。

Scalar::Util

サーバーに Scalar::Util がインストールされています(バージョン 1.21)。

Crypt::DSA

サーバーに Crypt::DSAか、Crypt::DSAの動作に必要な他のモジュールがインストールされていません。 コメント投稿時のサインインが高速になります。 Crypt::DSAのインストールはインストールマニュアルに沿って行ってください。

XML::SAX

サーバーに XML::SAX がインストールされています(バージョン 0.96)。

IPC::Run

サーバーに IPC::Run がインストールされています(バージョン 0.84)。

Archive::Zip

サーバーに Archive::Zip がインストールされています(バージョン 1.30)。

Storable

サーバーに Storable がインストールされています(バージョン 2.20)。

SOAP::Lite (version >= 0.5)

サーバーに SOAP::Lite がインストールされています(バージョン 0.714)。

List::Util

サーバーに List::Util がインストールされています(バージョン 1.21)。

HTML::Entities

サーバーに HTML::Entities がインストールされています(バージョン 3.64)。

Digest::MD5

サーバーに Digest::MD5 がインストールされています(バージョン 2.39)。

Text::Balanced

サーバーに Text::Balanced がインストールされています(バージョン 2.0.0)。

Crypt::SSLeay

サーバーに Crypt::SSLeay がインストールされています(バージョン 0.57)。

GD

サーバーに GD がインストールされています(バージョン 2.44)。

Archive::Tar

サーバーに Archive::Tar がインストールされています(バージョン 1.58)。

Safe

サーバーに Safe がインストールされています(バージョン 2.27)。

IO::Uncompress::Gunzip

サーバーに IO::Uncompress::Gunzip がインストールされています(バージョン 2.021)。

Digest::SHA1

サーバーに Digest::SHA1 がインストールされています(バージョン 2.12)。

IO::Compress::Gzip

サーバーに IO::Compress::Gzip がインストールされています(バージョン 2.021)。

XML::Atom

サーバーに XML::Atom がインストールされています(バージョン 0.38)。

Image::Magick

サーバーに Image::Magick がインストールされています(バージョン 6.72)。

LWP::UserAgent

サーバーに LWP::UserAgent がインストールされています(バージョン 2.001)。

MIME::Base64

サーバーに MIME::Base64 がインストールされています(バージョン 3.08)。

Mail::Sendmail

サーバーに Mail::Sendmail がインストールされています(バージョン 0.79)。

HTML::Parser

サーバーに HTML::Parser がインストールされています(バージョン 3.64)。

File::Temp

サーバーに File::Temp がインストールされています(バージョン 0.21)。

システムのチェックを完了しました。

Movable Typeを利用できます。 お使いのサーバーには、Movable Type の動作に必要なすべてのモジュールがインストールされています。モジュールを追加インストール作業は必要はありません。マニュアルに従い、インストールを続けてください。